# - Find StormLib
# Find StormLib headers and libraries.
#
#  StormLib_INCLUDE_DIR  -  where to find StormLib.h, etc.
#  StormLib_LIBRARY      - List of libraries when using StormLib.
#  StormLib_FOUND        - True if StormLib found.

# Look for the header file.
FIND_PATH( StormLib_INCLUDE_DIR NAMES StormLib.h
           PATHS /usr/include /usr/local/include)
MARK_AS_ADVANCED(StormLib_INCLUDE_DIR)

# Look for the library.
FIND_LIBRARY( StormLib_LIBRARY NAMES storm
              PATHS /usr/lib /usr/lib64 )
MARK_AS_ADVANCED(StormLib_LIBRARY)

# Copy the results to the output variables.
IF(StormLib_INCLUDE_DIR AND StormLib_LIBRARY)
  SET(StormLib_FOUND 1)
ELSE(StormLib_INCLUDE_DIR AND StormLib_LIBRARY)
  SET(StormLib_FOUND 0)
ENDIF(StormLib_INCLUDE_DIR AND StormLib_LIBRARY)