# - Find bncsutil
# Find bncsutil headers and libraries.
#
#  bncsutil_INCLUDE_DIR  -  where to find bncsutil.h, etc.
#  bncsutil_LIBRARY      - List of libraries when using bncsutil.
#  bncsutil_FOUND        - True if bncsutil found.

# Look for the header file.
FIND_PATH( bncsutil_INCLUDE_DIR NAMES bncsutil.h
           PATHS /usr/include/bncsutil /usr/local/include/bncsutil)
MARK_AS_ADVANCED(bncsutil_INCLUDE_DIR)

# Look for the library.
FIND_LIBRARY( bncsutil_LIBRARY NAMES bncsutil
              PATHS /usr/lib /usr/lib64 )
MARK_AS_ADVANCED(bncsutil_LIBRARY)

# Copy the results to the output variables.
IF(bncsutil_INCLUDE_DIR AND bncsutil_LIBRARY)
  SET(bncsutil_FOUND 1)
ELSE(bncsutil_INCLUDE_DIR AND bncsutil_LIBRARY)
  SET(bncsutil_FOUND 0)
ENDIF(bncsutil_INCLUDE_DIR AND bncsutil_LIBRARY)