# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI="5"

inherit cmake-utils

DESCRIPTION="Warcraft 3 Game Host"
HOMEPAGE="http://www.codelain.com"
SRC_URI="http://people.znc.in/~dessa/ghost/${P}.tar.xz"

RESTRICT="mirror"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="ggb mysql"

DEPEND="dev-libs/boost:=
	dev-games/bncsutil
	dev-games/StormLib:=
	dev-db/sqlite
	mysql? ( virtual/mysql )
	sys-libs/zlib"
RDEPEND="${DEPEND}"

#pkg_setup() {
#	enewgroup ghost
#	enewuser ghost -1 -1 /var/lib/ghost ghost
#}

src_prepare() {
	epatch "${FILESDIR}/${PN}-stormlib-8.22.patch"
	epatch "${FILESDIR}/${PN}-sqlite-include-guard.patch"
	epatch "${FILESDIR}/${PN}-configpath.patch"
	use ggb && epatch "${FILESDIR}/${PN}-ggb.patch"
	cp "${FILESDIR}/CMakeLists.txt" "${S}"
	cp -r "${FILESDIR}/cmake" "${S}"
	cp "${FILESDIR}/ghost++.cfg" "${S}"
}

src_configure() {
	local mycmakeargs="
		-DCONFIGPATH="${EROOT}etc/ghost++/"
		$(cmake-utils_use_with mysql MYSQL)"

	cmake-utils_src_configure
}

src_install() {
	cmake-utils_src_install

#	keepdir /var/lib/ghost++ /var/run/ghost++ /var/log/ghost++
#	fowners -R ghost /var/lib/ghost++ /var/run/ghost++ /var/log/ghost++ /etc/ghost++
#	fperms 750 /var/lib/ghost++ /var/run/ghost++ /var/log/ghost++
}
