# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit git-r3 autotools autotools-utils

DESCRIPTION="Minimalistic netlink library"
HOMEPAGE="http://netfilter.org/projects/libmnl"
EGIT_REPO_URI="git://git.netfilter.org/libmnl.git"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS=""
IUSE="examples static-libs"

DEPEND=""
RDEPEND="${DEPEND}"

AUTOTOOLS_IN_SOURCE_BUILD=1
DOCS=(README)
src_unpack() {
	git-r3_src_unpack
}

src_prepare(){
	eautoreconf
}

src_configure() {
	econf $(use_enable static-libs static)
}

src_install() {
	default
	gen_usr_ldscript -a mnl
	prune_libtool_files

	if use examples; then
		find examples/ -name 'Makefile*' -delete
		dodoc -r examples/
		docompress -x /usr/share/doc/${PF}/examples
	fi
}
